=== debian/changelog ===
ros-humble-play-motion2 (0.0.9-1jammy) jammy; urgency=high

  * Use callback groups and MultiThreadedExecutor to execute callbacks in parallel
  * Contributors: Noel Jimenez

 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Wed, 05 Jul 2023 00:00:00 -0000

ros-humble-play-motion2 (0.0.8-1jammy) jammy; urgency=high

  * add 1 extra second to motions timeout
    To avoid that motions with only one position fail when the robot is
    already in that position
  * fill error field and be more verbose
  * cancel action goals when requested
  * Contributors: Noel Jimenez

 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Mon, 22 May 2023 00:00:00 -0000

ros-humble-play-motion2 (0.0.7-1jammy) jammy; urgency=high

  * remove meta information from mandatory parameters
  * Contributors: Noel Jimenez

 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Mon, 17 Apr 2023 00:00:00 -0000

ros-humble-play-motion2 (0.0.6-1jammy) jammy; urgency=high

  * Merge branch 'remove_tests_namespace' into 'humble-devel'
    remove namespaces from tests
    See merge request app-tools/play_motion2!22
  * remove namespaces from tests
  * Merge branch 'fix_warns' into 'humble-devel'
    Fix warnings
    See merge request app-tools/play_motion2!21
  * not catch exception by value
  * change types for comparisons
  * comment unused arguments
  * order variables initialization
  * Merge branch 'wait_for_service_and_action' into 'humble-devel'
    wait for service and action after creating clients
    See merge request app-tools/play_motion2!20
  * wait for service and action after creating clients
  * Merge branch 'ament_cmake_auto' into 'humble-devel'
    switch to ament_cmake_auto
    See merge request app-tools/play_motion2!19
  * switch to ament_cmake_auto
  * Merge branch 'rm_ament_cmake_pal' into 'humble-devel'
    remove ament_cmake_pal
    See merge request app-tools/play_motion2!18
  * remove ament_cmake_pal
  * Contributors: Jordan Palacios, Mathias Lüdtke, Noel Jimenez

 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Mon, 20 Mar 2023 00:00:00 -0000

ros-humble-play-motion2 (0.0.5-1jammy) jammy; urgency=high

  * Merge branch 'add_missing_dependency' into 'humble-devel'
    add missing test dependency robot_state_publisher and remove initial / from controllers config
    See merge request app-tools/play_motion2!17
  * remove initial / from controllers config
  * add missing test dependency robot_state_publisher
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Wed, 01 Mar 2023 00:00:00 -0000

ros-humble-play-motion2 (0.0.4-1jammy) jammy; urgency=high

  * Merge branch 'fix_test' into 'humble-devel'
    Fix unstable test
    See merge request app-tools/play_motion2!16
  * set start timeout in a variable
  * use a better assert
  * fix gtest header
  * remove unused header
  * fix loop condition to start play_motion2_node_test
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Thu, 23 Feb 2023 00:00:00 -0000

ros-humble-play-motion2 (0.0.3-1jammy) jammy; urgency=high

  * Merge branch 'fix_cache_concurrency' into 'humble-devel'
    Do not update controller states cache if play_motion2 is busy
    See merge request app-tools/play_motion2!13
  * do not update controller states cache if play_motion2 is busy
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Wed, 15 Feb 2023 00:00:00 -0000

ros-humble-play-motion2 (0.0.2-1jammy) jammy; urgency=high



 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Wed, 08 Feb 2023 00:00:00 -0000

ros-humble-play-motion2 (0.0.1-1jammy) jammy; urgency=high

  * Merge branch 'fix_loop_condition' into 'humble-devel'
    Fix inifinite retries loop and testing double types
    See merge request app-tools/play_motion2!11
  * replace ASSERT_EQ with ASSERT_DOUBLE_EQ for doubles
  * fix inifinite retries loop
  * Merge branch 'approach_first_position' into 'humble-devel'
    Approach to first position
    See merge request app-tools/play_motion2!10
  * rm possible concurrency and unnecessary unlock
  * tests syntax fixes
  * test to check motions on site and to other positions
  * approach to the first position
  * Merge branch 'motion_results' into 'humble-devel'
    Wait for action results
    See merge request app-tools/play_motion2!8
  * add missing const, fix parameter name
  * simplify play_motion2_node tests into smaller functions
  * simplify function
  * change logs order
  * update controller states method
  * renaming and move future instead of make a copy
  * comment destructor behaviour
  * test for controller deactivated after sending all goals
  * handle action errors, exceptions
  * check controller states while executing motion
  * test for controller deactivated while executing motion
  * set use_sim_time for tests
  * bug fix: motion suceeded when a controller was deactivated after the goal was accepted
  * remove wrong redefinition
  * rewrite timeout and add error log
  * fix timeout calculation
  * add timeout when waiting for results
  * split rrbot jtc in 2 for tests
  * rename parameter
  * make error log more specific
  * simplify condition
  * store and join execution thread
  * fix tests times_from_start param
  * wait for results
  * Merge branch 'jtc_motions' into 'humble-devel'
    Send JTC motions (without waiting for the result)
    See merge request app-tools/play_motion2!7
  * add missing refs
  * use std::for_each
  * use references
  * send trajectories
  * generate controller trajectories for a motion
  * Merge branch 'improvements' into 'humble-devel'
    Enhancement and fix issues
    See merge request app-tools/play_motion2!6
  * syntax fix
  * simplify check_joints_and_controllers
  * filter controller states function
  * function to list controllers
  * set default constructors
  * add use_sim_time argument
  * fix headers
  * store info, not trajectory
  * create MotionInfo for each motion

