## ros-humble-play-motion2 1.3.0

=== debian/changelog ===
ros-humble-play-motion2 (1.3.0-1bookworm) bookworm; urgency=high

  * Remove error log from exists function
  * Check the motion exists for isMotionReady service
  * Add missing option to overwrite when adding motion
  * Add option to run motions asynchronously
  * Create service functions for the PlayMotion2Client
  * Add run_motion executable
  * Add simple client for PlayMotion2
  * Add new motion key only if is not overwritten
  * Create services to add and remove motions
  * Add service to get the info of a motion
  * Contributors: Noel Jimenez

 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Mon, 09 Sep 2024 16:00:00 -0000

ros-humble-play-motion2 (1.2.0-1bookworm) bookworm; urgency=high

  * Wait for robot description and semantic when using planning
  * Wait for the executor to be spinning for play_motion2_test
  * Contributors: Noel Jimenez

 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Thu, 08 Aug 2024 16:00:00 -0000

ros-humble-play-motion2 (1.1.2-1bookworm) bookworm; urgency=high

  * Handle joint state not available in /joint_states topic
  * Contributors: Noel Jimenez

 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Wed, 03 Jul 2024 16:00:00 -0000

ros-humble-play-motion2 (1.1.1-1bookworm) bookworm; urgency=high

  * fix joint name by replacing find_first_of function to find_last_of
  * Contributors: Aina Irisarri

 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Thu, 25 Apr 2024 16:00:00 -0000

ros-humble-play-motion2 (1.1.0-1bookworm) bookworm; urgency=high

  * Fix comment
  * Add test deactivating unused controller while executing a motion
  * Fail on controller change only if it's used by the running motion
  * Cancel goals on failure
  * Change logging level for 'Motion failed' message
  * Invert loop to check changing controller properly
  * Contributors: Noel Jimenez

 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Tue, 02 Apr 2024 16:00:00 -0000

ros-humble-play-motion2 (1.0.1-1bookworm) bookworm; urgency=high

  * Rename method perform_unplanned_motion to perform_motion
  * Skip approach when the joints are already in the first position
  * Contributors: Noel Jimenez

 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Wed, 06 Mar 2024 16:00:00 -0000

ros-humble-play-motion2 (1.0.0-1bookworm) bookworm; urgency=high

  * Rename planner launch argument and update its config
  * Fix condition for checking planning groups parameter
  * Enhance loop condition
  * Enhance way of getting parameters
  * Store parameter names in constants
  * Remove unused method
  * Complete comment
  * Remove unnecessary variable all_joints_included
  * Fix condition when checking valid move groups
  * Update non-planned motion tests
  * Remove line jump from log
  * Add planning capability
  * Add logic for planning parameters
  * Create a MoveGroupInterfacePtr for each planning group
  * Parse planning related parameters
  * Include key in MotionInfo
  * Handle INVALID Result State
  * Remove unused function
  * Rename motion_info to info
  * Remove unused boolean variable
  * Delete commented code
  * Fix Result State type
  * Enable motion canceling
  * Use auto
  * Move all the execution logic to MotionPlanner
    Now the MotionPlanner is the responsible of sending the goals for
    performing the motions. As well the motion has been splitted in two
    parts: Approach and Motion
    The Approach part is the movement from the initial point to the first
    position, and the rest of the positions form the Motion
  * Get motion_planner parameters on constructor
  * Rename ApproachPlanner to MotionPlanner
  * Use play_motion2 node for ApproachPlanner
  * Update types
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Tue, 27 Feb 2024 16:00:00 -0000

ros-humble-play-motion2 (0.0.15-1bookworm) bookworm; urgency=high

  * Change callback_group to MutuallyExclusive
    Reentrant callback group sometimes throws an unexpected runtime
    exception: 'Executing action client but nothing is ready'. It is caused
    because this type of callback group can execute different parts of the
    same callback concurrently.
  * Specify mutex type for unique_lock
  * Contributors: Aina Irisarri, Noel Jimenez

 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Sun, 14 Jan 2024 16:00:00 -0000

ros-humble-play-motion2 (0.0.14-1bookworm) bookworm; urgency=high

  * Avoid exporting lifecycle_msgs dependency
  * Contributors: Noel Jimenez

 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Sun, 07 Jan 2024 16:00:00 -0000

ros-humble-play-motion2 (0.0.13-1bookworm) bookworm; urgency=high

  * Rename launch argument for motions config
  * Add default approach_planner config
  * Add launch argument for approach_planner config
  * Fix approach planner parameters check condition
  * Avoid installing test configuration files
  * Join test config files
  * Fix motion_loader_test node name and params file
  * Fix parameters node names
  * Simplify controllers usage for testing
  * Create MotionLoader to replace helpers
  * Contributors: Noel Jimenez

 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Wed, 13 Dec 2023 16:00:00 -0000

ros-humble-play-motion2 (0.0.12-1bookworm) bookworm; urgency=high

  * Add website tag
  * Contributors: Noel Jimenez

 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-play-motion2 (0.0.11-1bookworm) bookworm; urgency=high

  * Set use_sim_time false as default
  * Fix launch dependencies
  * Fix launch argument description
  * Contributors: Noel Jimenez

 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-play-motion2 (0.0.10-1bookworm) bookworm; urgency=high

  * Move ApproachPlanner to a different class
  * Contributors: Noel Jimenez

 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Sun, 01 Oct 2023 16:00:00 -0000

ros-humble-play-motion2 (0.0.9-1bookworm) bookworm; urgency=high


